For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTAdd new asset to share
      • POSTAdd reviewers to secure share
      • POSTCreate share
      • DELDelete share
      • GETList share reviewers
      • GETList shares
      • DELRemove asset from share
      • DELRemoves reviewers from secure share
      • GETShow Share
      • PATCHUpdate share

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceShares

Add reviewers to secure share

POST
https://api.frame.io/v4/accounts/:account_id/shares/:share_id/reviewers
POST
/v4/accounts/:account_id/shares/:share_id/reviewers
1from frameio import Frameio
2from frameio.shares import AddReviewersToShareParamsData, AddReviewersToShareParamsDataReviewers
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.shares.add_reviewers(
9 account_id="b2ace076-6d91-4cfa-8c0b-bec08f3f634d",
10 share_id="0f958ead-11d2-4a80-b15f-4c32f706376d",
11 data=AddReviewersToShareParamsData(
12 message="Please join my share!",
13 reviewers=AddReviewersToShareParamsDataReviewers(
14 emails=[
15 "email1@domain.com",
16 "email2@domain.com"
17 ],
18 ),
19 ),
20)
Add reviewers to secure share by three identifier types: `adobe_user_id`, `email`, and `user_id`. <br/> A request can only include one identifier type parameter. <br/> `email` is the only identifier able to add reviewers to a Share who don't have a Frame account member on the account where the Share belongs. <br/>Rate Limits: 10 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Create share

Next

Add reviewers to secure share by three identifier types: adobe_user_id, email, and user_id.


A request can only include one identifier type parameter.


email is the only identifier able to add reviewers to a Share who don’t have a Frame account member on the account where the Share belongs.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
share_idstringRequiredformat: "uuid"
A UUID String

Request

Add reviewers to share body
dataobjectRequired

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error